# std::wcsrchr

From cppreference.com
< cpp‎ | string‎ | wide

Defined in header `<cwchar>` |  |
const wchar_t* wcsrchr( const wchar_t* str, wchar_t ch ); |  |
wchar_t* wcsrchr( wchar_t* str, wchar_t ch ); |  |

Finds the last occurrence of the wide character `ch` in the wide string pointed to by `str`.

### Parameters

str | - | pointer to the null-terminated wide string to be analyzed
ch | - | wide character to search for

### Return value

Pointer to the found character in `str`, or NULL if no such character is found.

### Example

| This section is incomplete Reason: no example

### See also

wcschr | finds the first occurrence of a wide character in a wide string (function)
strrchr | finds the last occurrence of a character (function)
rfind | find the last occurrence of a substring (public member function of `std::basic_string<CharT,Traits,Allocator>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/wide/wcsrchr&oldid=59129"